# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "logdriller"
version = "0.9.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tool to visualize application log output in the terminal"
readme = "README.md"
license = "MIT"
repository = "https://github.com/avl/logdiver"

[lib]
name = "logdriller"
path = "src/lib.rs"

[[bin]]
name = "logdriller"
path = "src/main.rs"

[[bench]]
name = "search"
path = "benches/search.rs"
harness = false

[dependencies.anyhow]
version = "1.0.100"

[dependencies.byteorder]
version = "1.5.0"

[dependencies.clap]
version = "4.5.50"
features = ["derive"]

[dependencies.crossterm]
version = "0.29.0"

[dependencies.gjson]
version = "0.8.1"

[dependencies.indexmap]
version = "2.12.1"

[dependencies.itertools]
version = "0.14.0"

[dependencies.memchr]
version = "2.7.6"

[dependencies.memmap2]
version = "0.9.9"

[dependencies.notify]
version = "8.2.0"

[dependencies.ratatui]
version = "0.29.0"
features = ["palette"]

[dependencies.rayon]
version = "1.11.0"

[dependencies.savefile]
version = "0.20.2"

[dependencies.terminal-light]
version = "1.8.0"

[dependencies.tui-scrollview]
version = "0.5.3"

[dependencies.tui-textarea]
version = "0.7.0"

[dev-dependencies.divan]
version = "0.1.21"

[dev-dependencies.insta]
version = "1.43.2"

[dev-dependencies.rand]
version = "0.10.0"
